steps:
  test:
    image: golang:1.24
    commands:
      - go test ./...
  build:
    image: docker
    commands:
      - apk add curl
      - docker login -u docker -p $DOCKER_PASSWORD registry.yetaga.in
      - docker build -t registry.yetaga.in/library:latest .
      - docker push registry.yetaga.in/library:latest
      - 'curl http://100.113.98.36:4000/api/fetch -H "Authorization: Bearer $COMPOSE_TOKEN"'
      - 'curl http://100.113.98.36:4000/api/update -H "Authorization: Bearer $COMPOSE_TOKEN"'
    environment:
      DOCKER_PASSWORD:
        from_secret: docker_password
      COMPOSE_TOKEN:
        from_secret: compose_token
    when:
      branch: "master"
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
